www/p5-Starlet - The NetBSD Packages Collection

Perl 5 Plack based standalone HTTP/1.0 server

The Perl 5 module Starlet provides a standalone HTTP/1.0 server.
It is suitable for running HTTP application servers behind a reverse
proxy and supports the following features: prefork and graceful
shutdown using Parallel::Prefork, hot deployment using Server::Starter,
fast HTTP processing using HTTP::Parser::XS .

Build dependencies

net/p5-Test-TCP pkgtools/cwrappers

Runtime dependencies

devel/p5-Parallel-Prefork www/p5-Plack sysutils/p5-Server-Starter lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Starlet-0.31nb4.tgz
NetBSD 8.0earmv7hfp5-Starlet-0.31nb3.tgz
NetBSD 8.0earmv7hfp5-Starlet-0.31nb4.tgz
NetBSD 8.0i386p5-Starlet-0.31nb3.tgz
NetBSD 8.0i386p5-Starlet-0.31nb4.tgz
NetBSD 8.0powerpcp5-Starlet-0.31nb3.tgz
NetBSD 8.0powerpcp5-Starlet-0.31nb4.tgz
NetBSD 8.0powerpcp5-Starlet-0.31nb4.tgz
NetBSD 8.0powerpcp5-Starlet-0.31nb4.tgz
NetBSD 8.0x86_64p5-Starlet-0.31nb3.tgz
NetBSD 8.0x86_64p5-Starlet-0.31nb4.tgz
NetBSD 9.0aarch64p5-Starlet-0.31nb4.tgz
NetBSD 9.0aarch64p5-Starlet-0.31nb3.tgz
NetBSD 9.0aarch64p5-Starlet-0.31nb4.tgz
NetBSD 9.0alphap5-Starlet-0.31nb4.tgz
NetBSD 9.0alphap5-Starlet-0.31nb3.tgz
NetBSD 9.0alphap5-Starlet-0.31nb4.tgz
NetBSD 9.0earmp5-Starlet-0.31nb3.tgz
NetBSD 9.0earmp5-Starlet-0.31nb4.tgz
NetBSD 9.0earmp5-Starlet-0.31nb4.tgz
NetBSD 9.0earmv6hfp5-Starlet-0.31nb4.tgz
NetBSD 9.0earmv6hfp5-Starlet-0.31nb3.tgz
NetBSD 9.0earmv6hfp5-Starlet-0.31nb4.tgz
NetBSD 9.0earmv7hfp5-Starlet-0.31nb4.tgz
NetBSD 9.0earmv7hfp5-Starlet-0.31nb3.tgz
NetBSD 9.0earmv7hfp5-Starlet-0.31nb4.tgz
NetBSD 9.0earmv7hfp5-Starlet-0.31nb4.tgz
NetBSD 9.0i386p5-Starlet-0.31nb3.tgz
NetBSD 9.0i386p5-Starlet-0.31nb4.tgz
NetBSD 9.0i386p5-Starlet-0.31nb4.tgz
NetBSD 9.0mips64ebp5-Starlet-0.31nb4.tgz
NetBSD 9.0mips64ebp5-Starlet-0.31nb3.tgz
NetBSD 9.0mips64ebp5-Starlet-0.31nb3.tgz
NetBSD 9.0mips64ebp5-Starlet-0.31nb3.tgz
NetBSD 9.0mips64ebp5-Starlet-0.31nb4.tgz
NetBSD 9.0powerpcp5-Starlet-0.31nb4.tgz
NetBSD 9.0powerpcp5-Starlet-0.31nb3.tgz
NetBSD 9.0powerpcp5-Starlet-0.31nb4.tgz
NetBSD 9.0powerpcp5-Starlet-0.31nb4.tgz
NetBSD 9.0sh3elp5-Starlet-0.31nb4.tgz
NetBSD 9.0sh3elp5-Starlet-0.31nb3.tgz
NetBSD 9.0sh3elp5-Starlet-0.31nb3.tgz
NetBSD 9.0sh3elp5-Starlet-0.31nb4.tgz
NetBSD 9.0sparc64p5-Starlet-0.31nb4.tgz
NetBSD 9.0sparc64p5-Starlet-0.31nb3.tgz
NetBSD 9.0sparc64p5-Starlet-0.31nb4.tgz
NetBSD 9.0sparcp5-Starlet-0.31nb4.tgz
NetBSD 9.0sparcp5-Starlet-0.31nb3.tgz
NetBSD 9.0sparcp5-Starlet-0.31nb3.tgz
NetBSD 9.0sparcp5-Starlet-0.31nb3.tgz
NetBSD 9.0sparcp5-Starlet-0.31nb4.tgz
NetBSD 9.0x86_64p5-Starlet-0.31nb4.tgz
NetBSD 9.0x86_64p5-Starlet-0.31nb4.tgz
NetBSD 9.0x86_64p5-Starlet-0.31nb3.tgz
NetBSD 9.0x86_64p5-Starlet-0.31nb4.tgz
NetBSD 9.0x86_64p5-Starlet-0.31nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.